POST
/
v1
/
voice
/
clone
curl --request POST \
  --url https://geoff.ai/api/v1/voice/clone \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "audio_file_id": "file_abc123",
    "prompt_file_id": "file_def456",
    "name": "My Custom Voice"
  }'
{
  "data": {
    "voice_id": "voice_xyz789",
    "name": "My Custom Voice",
    "status": "ready"
  }
}

Authorization

Authorization
string
required
Bearer token. Bearer API_key.

Request Body

audio_file_id
string
required
File ID of the uploaded reference audio.
prompt_file_id
string
File ID of the uploaded prompt audio.
name
string
required
Name for the cloned voice.
curl --request POST \
  --url https://geoff.ai/api/v1/voice/clone \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "audio_file_id": "file_abc123",
    "prompt_file_id": "file_def456",
    "name": "My Custom Voice"
  }'
{
  "data": {
    "voice_id": "voice_xyz789",
    "name": "My Custom Voice",
    "status": "ready"
  }
}